import { MutableRefObject } from 'react';
import * as monaco from 'monaco-editor';
export declare function useThemeData(): monaco.extra.ColorThemeData | null;
export declare function useUserConfiguration(programmingLanguageId?: string): Partial<monaco.editor.IEditorOptions>;
export declare function useLastValueRef<T>(value: T): MutableRefObject<T>;
export declare function useLastVersion<P extends unknown[], R>(func: (...args: P) => R): (...args: P) => R;
export declare function usePrevious<T>(value: T): T | undefined;
export declare function useDeepMemo<T, D extends unknown[]>(memoFn: () => T, deps: D, isEqual?: (a: D, b: D) => boolean): T;
